package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.helper.Caption;
@Entity
@Table(name = "RehabilitasiAsesmen_T")
public class RehabilitasiAsesmen extends MedicalRecordTransaction{
	
	@NotNull(message="Tgl Input tidak boleh kosong")
	@Column(name = "TglInput", nullable = false )
	@Caption(value="Tanggal Input")
	private Date tglInput;
	
	@Column(name = "lingkarKepala")
	@Caption(value="lingkarKepala")
	private String lingkarKepala;
	
	@Column(name = "beratBadan")
	@Caption(value="beratBadan")
	private String beratBadan;
	
	@Column(name = "tinggibadan")
	@Caption(value="tinggibadan")
	private String tinggiBadan;
	
	@Column(name = "riwayatPenyakitSekarang")
	@Caption(value="riwayatPenyakitSekarang")
	private String riwayatPenyakitSekarang;
	
	@Column(name = "fungsiKomunikasi")
	@Caption(value="fungsiKomunikasi")
	private String fungsiKomunikasi;
	
	@Column(name = "riwayatPenyakitDahulu")
	@Caption(value="riwayatPenyakitDahulu")
	private String riwayatPenyakitDahulu;
	
	@Column(name = "fungsiMotorik")
	@Caption(value="fungsiMotorik")
	private String fungsiMotorik;
	
	@Column(name = "kardiorespirasi")
	@Caption(value="kardiorespirasi")
	private String kardiorespirasi;
	
	@Column(name = "fungsiMenelan")
	@Caption(value="fungsiMenelan")
	private String fungsiMenelan;
	
	@Column(name = "sensoriMotor")
	@Caption(value="sensoriMotor")
	private String sensoriMotor;
	
	@Column(name = "aktivitas")
	@Caption(value="aktivitas")
	private String aktivitas;
	
	@Column(name = "pemeriksaanTambahan")
	@Caption(value="pemeriksaanTambahan")
	private String pemeriksaanTambahan;
	
	@Column(name = "diagnosaRehabilitasi")
	@Caption(value="diagnosaRehabilitasi")
	private String diagnosaRehabilitasi;
	
	@Column(name = "protokolTerapi")
	@Caption(value="protokolTerapi")
	private String protokolTerapi;
	
	@Column(name = "fungsiDefekasi")
	@Caption(value="fungsiDefekasi")
	private String fungsiDefekasi;

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public String getLingkarKepala() {
		return lingkarKepala;
	}

	public void setLingkarKepala(String lingkarKepala) {
		this.lingkarKepala = lingkarKepala;
	}

	public String getBeratBadan() {
		return beratBadan;
	}

	public void setBeratBadan(String beratBadan) {
		this.beratBadan = beratBadan;
	}
	
	public String getTinggiBadan() {
		return tinggiBadan;
	}

	public void setTinggiBadan(String tinggiBadan) {
		this.tinggiBadan = tinggiBadan;
	}

	public String getRiwayatPenyakitSekarang() {
		return riwayatPenyakitSekarang;
	}

	public void setRiwayatPenyakitSekarang(String riwayatPenyakitSekarang) {
		this.riwayatPenyakitSekarang = riwayatPenyakitSekarang;
	}

	public String getFungsiKomunikasi() {
		return fungsiKomunikasi;
	}

	public void setFungsiKomunikasi(String fungsiKomunikasi) {
		this.fungsiKomunikasi = fungsiKomunikasi;
	}

	public String getRiwayatPenyakitDahulu() {
		return riwayatPenyakitDahulu;
	}

	public void setRiwayatPenyakitDahulu(String riwayatPenyakitDahulu) {
		this.riwayatPenyakitDahulu = riwayatPenyakitDahulu;
	}

	public String getFungsiMotorik() {
		return fungsiMotorik;
	}

	public void setFungsiMotorik(String fungsiMotorik) {
		this.fungsiMotorik = fungsiMotorik;
	}

	public String getKardiorespirasi() {
		return kardiorespirasi;
	}

	public void setKardiorespirasi(String kardiorespirasi) {
		this.kardiorespirasi = kardiorespirasi;
	}

	public String getFungsiMenelan() {
		return fungsiMenelan;
	}

	public void setFungsiMenelan(String fungsiMenelan) {
		this.fungsiMenelan = fungsiMenelan;
	}

	public String getSensoriMotor() {
		return sensoriMotor;
	}

	public void setSensoriMotor(String sensoriMotor) {
		this.sensoriMotor = sensoriMotor;
	}

	public String getAktivitas() {
		return aktivitas;
	}

	public void setAktivitas(String aktivitas) {
		this.aktivitas = aktivitas;
	}

	public String getPemeriksaanTambahan() {
		return pemeriksaanTambahan;
	}

	public void setPemeriksaanTambahan(String pemeriksaanTambahan) {
		this.pemeriksaanTambahan = pemeriksaanTambahan;
	}

	public String getDiagnosaRehabilitasi() {
		return diagnosaRehabilitasi;
	}

	public void setDiagnosaRehabilitasi(String diagnosaRehabilitasi) {
		this.diagnosaRehabilitasi = diagnosaRehabilitasi;
	}

	public String getProtokolTerapi() {
		return protokolTerapi;
	}

	public void setProtokolTerapi(String protokolTerapi) {
		this.protokolTerapi = protokolTerapi;
	}

	public String getFungsiDefekasi() {
		return fungsiDefekasi;
	}

	public void setFungsiDefekasi(String fungsiDefekasi) {
		this.fungsiDefekasi = fungsiDefekasi;
	}
	

}
